Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Interface BuiltInArgument

All Superinterfaces:
  Argument

All Known Subinterfaces:
  AxiomArgument, ClassArgument, ClassDescriptionArgument, DatatypePropertyArgument, DatatypeValueArgument, IndividualArgument, LiteralArgument, MultiArgument, ObjectPropertyArgument, OWLClass, OWLDatatypeProperty, OWLDatatypeValue, OWLIndividual, OWLObjectProperty, PropertyArgument, VariableBuiltInArgument

All Known Implementing Classes:
  BuiltInArgumentImpl, Literal, MultiArgumentImpl, OWLClassImpl, OWLDatatypePropertyImpl, OWLDatatypeValueImpl, OWLIndividualImpl, OWLObjectPropertyImpl, OWLPropertyImpl, PropertyValueImpl, VariableBuiltInArgumentImpl

    public interface BuiltInArgument

extends Argument

Interface representing an argument to a built-in

Method Summary
`BuiltInArgument` | `getBuiltInResult()`
`String` | `getPrefixedVariableName()`
`String` | `getVariableName()`
`boolean` | `isUnbound()`
`boolean` | `isVariable()`
`void` | `setBuiltInResult(BuiltInArgument builtInResult)`
`void` | `setUnbound()`
`void` | `setVariableName(String variableName, String prefixedVariableName)`

Method Detail

### isVariable

    boolean isVariable()

### isUnbound

    boolean isUnbound()

### getVariableName

    String getVariableName()
                           throws BuiltInException

  Throws:
    `BuiltInException`

### getPrefixedVariableName

    String getPrefixedVariableName()
                                   throws BuiltInException

  Throws:
    `BuiltInException`

### setVariableName

    void setVariableName(String variableName,
                         String prefixedVariableName)

### setUnbound

    void setUnbound()

### setBuiltInResult

    void setBuiltInResult(BuiltInArgument builtInResult)
                          throws BuiltInException

  Throws:
    `BuiltInException`

### getBuiltInResult

    BuiltInArgument getBuiltInResult()
                                     throws BuiltInException

  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.